60 błędów w bezpieczeństwie PHP

60 błędów w bezpieczeństwie PHP
05.06.2010 16:40
Grzegorz Niemirowski
Grzegorz Niemirowski

W ramach akcji Month of PHP Security wykryto 60 dziur w bezpieczeństwie PHP.

Odkryte dziury okazały się być niezbyt groźne, żadna nie została określona jako krytyczna. Przeważająca większość z nich wymaga, aby atakujący miał lokalny dostęp do serwera. Ich wykorzystanie miałoby więc miejsce w przypadku niezaufanych użytkowników posiadających konta w systemie. Za pomocą odkrytych luk mogliby podnieść swoje uprawnienia. W przypadku innych luk programiści mogą zabezpieczyć się przestrzegając zasad pisania bezpiecznego kodu.

Andi Gutmans, z biorącej udział w rozwoju PHP firmy Zend Technologies uważa, że bezpieczeństwo PHP stopniowo poprawia się. Cieszy się również z inicjatywy Month of PHP Security, według niego pomoże ona zwrócić uwagę społeczności PHP na kwestie bezpieczeństwa. Zapowiedział, że w przyszłych wersjach PHP zostanie załatana większość błędów znalezionych podczas MOPS oraz inne dziury w bezpieczeństwie.

Programy

Aktualizacje
Aktualizacje
Nowości
Oceń jakość naszego artykułuTwoja opinia pozwala nam tworzyć lepsze treści.
Udostępnij:
Wybrane dla Ciebie
Komentarze (23)